@font-face {
    font-family: "Montserrat";
    src: url("../fonts/Montserrat/static/Montserrat-Medium.ttf");
}

@font-face {
    font-family: "Montserrat";
	font-weight: bold;
    src: url("../fonts/Montserrat/static/Montserrat-Bold.ttf");
}

@font-face {
    font-family: "Montserrat";
	font-style: italic;
    src: url("../fonts/Montserrat/static/Montserrat-Italic.ttf");
}

@font-face {
    font-family: "Montserrat";
    font-weight: bold;
	font-style: italic;
    src: url("../fonts/Montserrat/static/Montserrat-BoldItalic.ttf");
}

body {
    font-family: "Montserrat";
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    font-size: 12px;
}

p,span,.btn,a {
    font-size: 12px !important;
}

.btn span {
    font-size: 12px;
}

#footer {
    margin-top: auto;
    background: var(--myknos);
    color: var(--maoriWhite);
}

.site-setup #footer {
    margin-top: auto;
    background: var(--klimtGreen);
    color: var(--maoriWhite);
}

::-webkit-input-placeholder { /* WebKit browsers */
    text-transform: initial;
	font-size: 12px;
	color: var(--alto);
}
:-moz-placeholder { /* Mozilla Firefox 4 to 18 */
    text-transform: initial;
	font-size: 12px;
	color: var(--alto);
}
::-moz-placeholder { /* Mozilla Firefox 19+ */
    text-transform: initial;
	font-size: 12px;
	color: var(--alto);
}
:-ms-input-placeholder { /* Internet Explorer 10+ */
    text-transform: initial;
	font-size: 12px;
	color: var(--alto);
}

a.header-link {
    font-size: 12px;
}

a.header-link:link {
	color: var(--mortar) !important;
}

a.header-link:visited {
	color: var(--mortar) !important;
}

a.header-link:hover {
    color: var(--mortar) !important;
}

a.header-link:active {
    color: var(--mortar) !important;
}

a.session-link:link {
	color: black !important;
}

a.body-link {
    font-size: 12px;
}

a.body-link:link {
	color: var(--greenPigment) !important;
}

a.body-link:visited {
	color: var(--greenPigment) !important;
}

a.body-link:hover {
    color: var(--greenPigment) !important;
}

a.body-link:active {
    color: var(--greenPigment) !important;
}

a.session-link:visited {
	color: black !important;
}

a.session-link:hover {
    color: black !important;
}

a.session-link:active {
    color: black !important;
}

a.footer-link {
    font-size: 12px;
}

a.footer-link:link {
	color: var(--peachOrange) !important;
}

a.footer-link:visited {
	color: var(--peachOrange) !important;
}

a.footer-link:hover {
    color: var(--peachOrange) !important;
}

a.footer-link:active {
    color: var(--peachOrange) !important;
}

.form-control {
    font-size: 12px !important;
    border-radius: 0px;
    -webkit-border-radius: 0px;
    -moz-border-radius: 0px;
}

.btn-sm {
    font-size: 12px;
}

input {
    font-size: 12px;
}

.dropdown-menu {
    font-size: 12px;
}

.navbar-nav > li {
    font-size: 12px;
}

.text-body {
    font-size: 12px;
    margin: 0px;
}

.text-footer {
    font-size: 12px;
    margin: 6px;
}

.validation {
    font-size: 12px;
    margin: 0px;
    padding-left: 12px;
}

.progress-display p {
    font-size: 12px;
    margin: 0px;
    padding: 8px;
}

.well-comment-control-hidden .well-comment-control-show-icon {
    display: block;
}

.well-comment-control-hidden .well-comment-control-hide-icon {
    display: none;
}

.well-comment-control-shown .well-comment-control-show-icon {
    display: none;
}

.well-comment-control-shown .well-comment-control-hide-icon {
    display: block;
}

@media all and (min-width: 1200px) {
    .header-logo {
        height: 47px !important;
    }
}

@media all and (max-width: 1199px) {
    .header-logo {
        width: 50px !important;
    }
}

@media all and (max-width: 1199px) {
    #leftValuesPanelDiv {
        width: 50%;
    }
    #rightValuesPanelDiv {
        width: 50%;
    }
    #graphContainerDiv {
        width: 100%;
    }
}

@media all and (min-width: 1200px) {
    #leftValuesPanelDiv {
        width: 150px;
    }
    #rightValuesPanelDiv {
        width: 150px;
    }
}

@media all and (max-width: 1199px) {
    #graphMetaControlDivs {
        margin-left: 4px !important;
        margin-right: 4px !important;
    }
    #graphControlPanelDivs {
        margin-left: 4px !important;
        margin-right: 4px !important;
    }
}

@media all and (max-width: 1199px) {
    #leftGraphsDiv {
        width: round(calc(100% - 60px), 10px);
    }
    #rightGraphsDiv {
        width: round(calc(100% - 60px), 10px);
    }
}

@media all and (min-width: 1200px) {
    #leftGraphsDiv {
        width: round(calc((100% - 60px) / 2), 10px);
    }
    #rightGraphsDiv {
        width: round(calc((100% - 60px) / 2), 10px);
    }
}

@media all and (min-width: 1200px) {
    #displayDiv {
        height: calc(100vh - 78.8px - 35.6px - 27.6px - 32.3px - 66px) !important;
    }
}

@media all and (min-width: 1200px) {
    #graphOuterDiv {
        height: calc(100% - 216.6px); 
    }
}

@media all and (max-width: 1199px) {
    #graphOuterDiv {
        height: 500px !important; 
    }
}

@media all and (min-width: 1200px) {
    .display-preset-edit-name {
        width: calc(100% * (3 / 8));
    }
    .display-preset-top-params {
        width: calc(100% * (5 / 8));
    }
}




@media all and (max-width: 1199px) {
    .home-page-content {
        min-height: calc(100vh - 163px) !important;
    }
}

@media all and (min-width: 1200px) {
    .home-page-content {
        min-height: calc(100vh - 84px) !important;
    }
}

@media all and (max-width: 1199px) {
    .scan-display {
        min-height: 140px !important;
        max-height: 400px !important;
        padding-left: 12px;
        padding-right: 12px;
    }
}

@media all and (min-width: 1200px) {
    .scan-display {
        height: calc(100vh - 188px) !important;
        padding-left: 12px;
        padding-right: 12px;
    }
    .scan-display-left {
        padding-right: 6px !important;
    }
    .scan-display-right {
        padding-left: 6px !important;
    }
}

.show-password .show-password-off {
    display: none;
}

.show-password .show-password-on {
    display: block;
}

.hide-password .show-password-off {
    display: block;
}

.hide-password .show-password-on {
    display: none;
}

.animate-loader {
	border: 8px solid #f3f3f3;
	border-radius: 50%;
	border-top: 1px solid var(--pixelWhite);
	border-right: 1px solid var(--pixelWhite);
	border-bottom: 2px solid darkgreen;
	border-left: 2px solid darkgreen;
	width: 24px;
	height: 24px;
	-webkit-animation: spin 2s linear infinite;
	animation: spin 2s linear infinite;
}

@-webkit-keyframes spin {
	0% { -webkit-transform: rotate(0deg); }
	100% { -webkit-transform: rotate(360deg); }
}

@keyframes spin {
	0% { transform: rotate(0deg); }
	100% { transform: rotate(360deg); }
}

.animate-blink {
    animation: blink 2s linear infinite;
}

@keyframes blink {
    0% {
        opacity: 0;
    }
    50% {
        opacity: 1;
    }
    100% {
        opacity: 0;
    }
}